Bug 831066 - csprocessor errors with "no default" when all necessary details are given as args
csprocessor errors with "no default" when all necessary details are given as ...
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 02:38 EDT by Joshua Wulf
Modified: 2014-10-19 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.25.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:31:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-06-12 02:38:53 EDT
[jwulf@radhe books]$ java -jar /home/jwulf/docshack/bin/csprocessor.jar --host http://127.0.0.1:8180/TopicIndex -u jwulf list
CSProcessor client version: 0.23.5
Loading configuration from /home/jwulf/.config/csprocessor.ini
ERROR: No default server was found in the /home/jwulf/.config/csprocessor.ini configuration file. Perhaps you need to uncomment a default?


I would expect it to use the args and not complain about a default.

cspclient-0.23.5-1.noarch
Comment 1 Lee Newson 2012-07-06 00:44:24 EDT
Fixed in 0.25.1

Cause:

There was a check in place for command.getServerUrl() however at that point in time the URL hasn't been copied to the command if it's specified first.

Consequence:

If the server URL was specified before the command then the error above would occur.

Fix:

Add another check to see if the URL was specified before the command.
Comment 2 Lee Newson 2013-06-06 21:31:00 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.